Skip to main content
GET
/
v1
/
my
/
user
Get current user profile
curl --request GET \
  --url https://api.nitrosend.com/v1/my/user \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "first_name": "<string>",
  "last_name": "<string>",
  "email": "jsmith@example.com",
  "mobile": "<string>",
  "country_code": "<string>",
  "admin": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key (nskey_live_...) or JWT token. API key is checked first; if not found, falls back to Devise JWT authentication.

Response

User profile

id
integer
first_name
string | null
last_name
string | null
email
string<email>
mobile
string | null
country_code
string | null
admin
boolean
created_at
string<date-time>
updated_at
string<date-time>